### Method

# GUPnP ServiceProxy call_action

#### Declaration [src]

    GUPnPServiceProxyAction*
    gupnp_service_proxy_call_action (
      GUPnPServiceProxy* proxy,
      GUPnPServiceProxyAction* action,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously call the `action` on the remote UPnP service.

Available since: | 1.2.0

#### Parameters

`action` | `GUPnPServiceProxyAction`
| An action.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` which can be used to cancel the current action call.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GUPnPServiceProxyAction`
| `NULL` on error, `action` if successful.
| The data is owned by the instance.
| The return value can be `NULL`.